#!/bin/bash

# Save test start time
START_TIME=$(date +%s)

# Execute all tests

echo "Creating mmCIF/DDL object dictionary"
rm -f ./mmcif_std.odb

../bin/DictObjFileCreator -ddl ./mmcif_ddl.dic -dict ./mmcif_std.dic -o ./mmcif_std.odb 2>&1 | tee ./mmcif_std.log

echo "DDL parser diagnostics" >> ./mmcif_std.log
cat DDLParser.log >> ./mmcif_std.log
echo "Dictionary parser diagnostics" >> ./mmcif_std.log
cat DICParser.log >> ./mmcif_std.log
echo "Dictionary consistency diagnostics" >> ./mmcif_std.log
cat Diagnostics.log >> ./mmcif_std.log

rm -f  ./DDLParser.log
rm -f  ./DICParser.log
rm -f  ./Diagnostics.log

chmod 644 ./mmcif_std.odb

echo 'Running test 1'
../bin/DictObjFileReader mmcif_std.odb mmcif_std.dic > builder1.out

echo 'Running test 2'
../bin/DictObjFileSelectiveReader mmcif_std.odb mmcif_std.dic > builder2.out

# Save test end time
END_TIME=$(date +%s)

DIFF_TIME=$(( $END_TIME - $START_TIME ))

echo "Tests execution time is $DIFF_TIME seconds." > exectime.txt

echo
echo
cat exectime.txt
echo
echo
